{% extends 'base.html.twig' %}

{% block body %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb bg-dark">
            <li class="breadcrumb-item"><a href="{{ path('home') }}" class="text-muted">Home</a></li>
            <li class="breadcrumb-item">
                <a href="{{ path('home') ~ '?category=' ~ post.category.id }}" class="text-muted">
                    {{ post.category.label }}
                </a>
            </li>
            <li class="breadcrumb-item active text-white" aria-current="page">{{ post.mainTitle }}</li>
        </ol>
    </nav>
    <div class="jumbotron jumbotron-dark rounded-0 text-white py-5">
        <h1 class="display-4">
            {{ post.mainTitle }}
            {% if post.user.id == security.getUser().id or security.isGranted('ROLE_ADMIN') %}
                <div class="float-right">
                    <a href="{{ path('post_edit', {id: post.id}) }}" class="btn btn-warning text-black-50">Modifier</a>
                </div>
            {% endif %}
        </h1>

        <p class="p-0 m-0">
            <small class="font-italic">
                {% if post.updatedAt is defined and post.updatedAt is null %}
                    Publié le : {{ post.createdAt ? post.createdAt | date('d/m/Y') }}
                {% else %}
                    Modifié le : {{ post.updatedAt | date('d/m/Y') }}
                {% endif %}
                , par {{ post.user.username }}
            </small>
        </p>
        <hr class="mb-2 mt-0 bg-secondary">
        <p class="lead">{{ post.shortDescription }}</p>
    </div>
    <div class="pb-3">
        <div class="card card-dark text-white card-paragraph">
            <div class="card-content">
                <div class="card-body">
                    {{ post.content | raw }}
                </div>
            </div>
        </div>
    </div>
    <div class="mt-4">
        <h4 class="text-white">Commentaires</h4>
        <div class="mb-2">
            {% if comments is not empty %}
                {% for comment in comments %}
                    {{ include('comment/_comment.html.twig') }}
                {% endfor %}
            {% endif %}
        </div>
        <div class="mb-2">
            {% if security.isAuthenticated() == false %}
                {% include 'comment/_login-first.html.twig' %}
            {% else %}
                {% include 'comment/_comment-form.html.twig' with {form: commentForm} %}
            {% endif %}
        </div>
    </div>
{% endblock %}
